#ifndef __INPUT__
#define __INPUT__

#include <stdlib.h>

#define KEYBOARD_SIZE 256
#define SPECIAL_SIZE 256

enum specialKeys
{
	keyUp = 101,
	keyDown = 103,
	keyLeft = 100,
	keyRight = 102
};
class Input
{
public:

	Input();
	virtual ~Input();

	void keyPushed(unsigned char button, int x, int y);

	void keyReleased(unsigned char button, int x, int y);

	void keySpecialPushed(int button, int x, int y);

	void keySpecialReleased(int button, int x, int y);

	bool getKey(unsigned char key);

	bool getSpecialKey(specialKeys key);

protected:

	bool board[KEYBOARD_SIZE];
	bool specialBoard[SPECIAL_SIZE];

};

#endif __INPUT__